package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * LicenseAvailableRecycleOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class LicenseAvailableRecycleOpenApiVo   {
  @JsonProperty("licenseNum")
  @Valid
  private List<LicenseNumOpenApiVo> licenseNum = null;

  public LicenseAvailableRecycleOpenApiVo licenseNum(List<LicenseNumOpenApiVo> licenseNum) {
    this.licenseNum = licenseNum;
    return this;
  }

  public LicenseAvailableRecycleOpenApiVo addLicenseNumItem(LicenseNumOpenApiVo licenseNumItem) {
    if (this.licenseNum == null) {
      this.licenseNum = new ArrayList<>();
    }
    this.licenseNum.add(licenseNumItem);
    return this;
  }

  /**
   * Get licenseNum
   * @return licenseNum
  */
  @ApiModelProperty(value = "")

  @Valid

  public List<LicenseNumOpenApiVo> getLicenseNum() {
    return licenseNum;
  }

  public void setLicenseNum(List<LicenseNumOpenApiVo> licenseNum) {
    this.licenseNum = licenseNum;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LicenseAvailableRecycleOpenApiVo licenseAvailableRecycleOpenApiVo = (LicenseAvailableRecycleOpenApiVo) o;
    return Objects.equals(this.licenseNum, licenseAvailableRecycleOpenApiVo.licenseNum);
  }

  @Override
  public int hashCode() {
    return Objects.hash(licenseNum);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LicenseAvailableRecycleOpenApiVo {\n");
    
    sb.append("    licenseNum: ").append(toIndentedString(licenseNum)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

